package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

/**
 * @author Alex Usun
 */
public class SshMsgChannelRequestShell
        extends SshMsgChannelRequest<SshMsgChannelRequestShell.Handler> {

    public SshMsgChannelRequestShell(int recipientChannel, boolean wantReply) {
        super(recipientChannel, wantReply);
    }

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgChannelRequestShell {"
                + "recipientChannel=" + this.recipientChannel
                + ", wantReply=" + this.wantReply
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgChannelRequestShell message, MessageConnection<Message> connection);

    }
}
